package com.javacodegeeks;

import java.math.BigInteger;
import java.util.Arrays;
import java.util.Random;

public class BigIntegerExample {
    public static void main(String[] args) {
        System.out.println(new BigInteger("123456789".getBytes()));
        System.out.println(new BigInteger("123456789", Character.MAX_RADIX));

        final BigInteger probablePrime = BigInteger.probablePrime(9, new Random());
        System.out.println("Probable prime: " + probablePrime);
        System.out.println("Next probable prime: " + probablePrime.nextProbablePrime());
        System.out.println(BigInteger.valueOf(1234567890987654321L));

        BigInteger first = BigInteger.valueOf(23);
        BigInteger second = BigInteger.valueOf(32);
        System.out.println(String.format("%s + %s = %s", first.toString(), second.toString(), first.add(second).toString()));
        System.out.println(String.format("%s - %s = %s", second.toString(), first.toString(), second.subtract(first).toString()));
        System.out.println(String.format("%s x %s = %s", first.toString(), second.toString(), first.multiply(second).toString()));
        System.out.println(String.format("%s / %s = %s", second.toString(), first.toString(), second.divide(first).toString()));

        final BigInteger[] bigIntegers = second.divideAndRemainder(first);
        System.out.printf("%s / %s => Quotient: %s, Remainder: %s\n", second.toString(), first.toString(), bigIntegers[0].toString(), bigIntegers[1].toString());

        System.out.println(BigInteger.TEN.pow(5));

    }
}
